package com.zcloud.service.bus;

import java.util.List;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;


/** 
 * 说明： 通知公告接口
 * 作者：luoxiaobao
 * 官网：www.qdkjchina.com
 * @version
 */
public interface ServiceNoticeService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;
	
	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;
	
	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;
	
	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;
	public List<PageData> applistAll(PageData pd)throws Exception;
	
	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;
	
	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;
	public PageData listCountBYBasicinfoID(PageData pd)throws Exception;
	
	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;
	
	/**新增通知公告和企业管理表
	 * @param pd
	 * @throws Exception
	 */
	public void saveNotAndCorp(PageData pd)throws Exception;
	/**
	 * 根据公告id获取企业信息
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	public List<PageData> getNotAndCorpByNotId (PageData pd) throws Exception;
	/**
	 *  根据公告删除关系
	 * @param id
	 * @throws Exception
	 */
	void deleteNotAndCorpByNotId(PageData pd) throws Exception;
	/**
	 * 根据公告id获取企业信息
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	public List<PageData> getNotAndCorpByCorpId (PageData pd) throws Exception;
	/**
	 *  统计查看通过企业信息
	 * @param page
	 * @return
	 * @throws Exception
	 */
	List<PageData> getTypeCountByNotId (Page page) throws Exception;
	/**
	 *  修改阅读状态
	 * @param page
	 * @throws Exception
	 */
	void editCorpInfo(PageData pd) throws Exception;
	
	/** 获取关系表信息
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findNoticeCorpInfoById(PageData pd)throws Exception;
	
	/**
	 * 查看公告的阅读状态
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	List<PageData> getCorpReadType(Page page) throws Exception;
	
	List<PageData> getCorpReadTypeAll (Page page) throws Exception;
	
}

